# Uses of Class
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.WorkerModel

Packages that use WorkerModel
Package
Description
org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Uses of WorkerModel in org.apache.sysds.runtime.controlprogram.federated.monitoring.services

Methods in org.apache.sysds.runtime.controlprogram.federated.monitoring.services that return WorkerModel
Modifier and Type
Method
Description
`WorkerModel`
WorkerService.`get(Long id)`
Methods in org.apache.sysds.runtime.controlprogram.federated.monitoring.services that return types with arguments of type WorkerModel
Modifier and Type
Method
Description
`List<WorkerModel>`
WorkerService.`getAll()`
Methods in org.apache.sysds.runtime.controlprogram.federated.monitoring.services with parameters of type WorkerModel
Modifier and Type
Method
Description
`Long`
WorkerService.`create(WorkerModel model)`
`void`
WorkerService.`update(WorkerModel model)`